# $Revision: 1.13 $, $Date: 2010/11/05 11:33:23 $
%define 	module	ClientForm
Summary:	Python module for handling HTML forms (on the client side)
Summary(pl.UTF-8):	Moduł Pythona do obsługi formularzy HTML (po stronie klienta)
Name:		python-%{module}
Version:	0.2.10
Release:	1
License:	BSD
Group:		Development/Languages/Python
Source0:	http://wwwsearch.sourceforge.net/%{module}/src/%{module}-%{version}.tar.gz
# Source0-md5:	832c0ca78674f9263d1fc5fab8756e66
URL:		http://wwwsearch.sourceforge.net/ClientForm/
Requires:	python-modules >= 2.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ClientForm is a Python module for handling HTML forms on the client
side, useful for parsing HTML forms, filling them in and returning the
completed forms to the server. It developed from a port of Gisle Aas'
Perl module HTML::Form, from the libwww-perl library, but the
interface is not the same.

%description -l pl.UTF-8
ClientForm to moduł Pythona obsługujący formularze HTML po stronie
klienta. Przydatny do przetwarzania tychże, wypełniania i odsyłania do
serwera. Został stworzony na wzór perlowego modułu HTML::Form
napisanego przez Gislea Aasa, pochodzącego z biblioteki libwww-perl,
ale jego interfejs (API) jest inny.

%prep
%setup -q -n %{module}-%{version}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%py_postclean %{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING.txt ChangeLog.txt GeneralFAQ.html README.html
%{py_sitescriptdir}/*.py[co]
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/ClientForm-*.egg-info
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-ClientForm.spec,v $
Revision 1.13  2010/11/05 11:33:23  caleb
- Up to 0.2.10

Revision 1.12  2010/07/09 11:21:32  arekm
- release 4

Revision 1.11  2010/07/08 08:04:01  arekm
- release 3

Revision 1.10  2008/10/16 22:27:32  glen
- version independant egg info

Revision 1.9  2008/10/03 17:47:23  arekm
- release 2

Revision 1.8  2007-02-13 08:06:42  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.6  2007/02/09 20:16:30  teodor
- up to 0.2.6

Revision 1.5  2004/06/04 19:37:13  jpc
- updated to 0.1.16

Revision 1.4  2004/05/26 21:15:21  ankry
- capitalization, tabs, other cosmetics

Revision 1.3  2004/05/13 17:43:08  ankry
- spaces -> tabs, other cosmetics

Revision 1.2  2004/02/22 18:03:05  qboosh
- shorter summaries ("package providing" is obvious)
- dropped README.txt (just lynx-rendered copy of README.html)

Revision 1.1  2004/02/15 10:41:14  adamg
- initial import (from Jakub Piotr Clapa <loc(at)toya.net.pl>)
